Index · Directives · Python · libudev · gudev systemd 209

## Name

systemd-bus-proxyd — Connect STDIO or a socket to a given bus address

## Synopsis

`/usr/lib/systemd/systemd-bus-proxyd` [OPTIONS...] [`PLACEHOLDER`]

## Description

systemd-bus-proxyd will proxy D-Bus messages to and from a bus. The will be either the system bus or the bus specified with `--address` when that option is given. Messages will be proxied to/from standard input and output, or the socket received through socket activation.

This program can be used to connect a program using classic D-Bus to kdbus.

## Options and Arguments

The following options are understood:

`--address=`ADDRESS`[:`ADDRESS...`]`

  Connect to the bus specified by `ADDRESS`. Multiple colon-seperated addresses can be specified, in which case systemd-bus-proxyd will attempt to connect to them in turn.

`--version`

  Prints a short version string and exits.

`-h`, `--help`

  Prints a short help text and exits.

`PLACEHOLDER`, if given, must be a string of "`x`" and will be used to display information about the process that systemd-bus-proxyd is forwarding messages for.

## See Also

dbus-daemon(1), D-Bus, kdbus